module.exports = (api, opts) => {
  const utils = require('./utils')(api)

  api.extendPackage({
    dependencies: {
      '@souche-ui/tant': '^1.2.0'
    }
  })

  api.injectImports(utils.getMain(), `import './plugins/groot.js';`)

  api.render({
    './src/plugins/groot.js': './templates/src/plugins/groot.js',
  })

  if (opts.import === 'partial') {
    api.extendPackage({
      devDependencies: {
        'babel-plugin-component': '^1.1.1'
      }
    })
  }

  api.onCreateComplete(() => {
    if (opts.import === 'partial') {
      utils.updateBabelConfig(cfg => {
        const pluginComponent = ['component', {
          'libraryName': 'groot',
          'styleLibraryName': 'styles'
        }]
        cfg.plugins = cfg.plugins || []
        cfg.plugins.push(pluginComponent)
        return cfg
      })
    }
  })
}
